#ifndef PIFILECHOMAC_H_SEEN
#define PIFILECHOMAC_H_SEEN

#include <string>
#include "pisysdep.h"
#include "pifilechogen.h"

class PIFileChooserMac : public PIFileChooserGen {
public:

                   PIFileChooserMac(PIMsgHandler* par, char* nom, PIMessage msg);
  virtual          ~PIFileChooserMac();

  virtual void     Show();

  virtual void     AcceptNewFile(bool acc);
  virtual void     SetPath(string const& path);
  virtual void     SetFileName(string const& fname);

  virtual string   GetPath();
  virtual string   GetFileName();

protected:
  bool             mAccNew;
  string           mFileName;
};

typedef PIFileChooserMac     PIFileChooser ;

#define FILESEP ':'

#endif

